# Syntax

## BNF Syntax
This Wiki describes the GAM command line syntax in modified BNF.
* https://en.wikipedia.org/wiki/Backus-Naur_Form

Skip the History section and start reading at Introduction.

Items on the command line are space separated, when an actual space character is required, it will be indicated by ```<Space>```.
If an item contains spaces, it should be surrounded by ".

Metasyntactic symbols
```
[] optional item
() group items
* item may appear zero or more times
+ item may appear one or more times
| separates alternative items
```
## Items
- [Basic](Basic-Items)
- [Lists](List-Items)

## Collections
- [ChromeOS Devices](Collections-of-ChromeOS-Devices)
- [Users](Collections-of-Users)
- [Items](Collections-of-Items)
- [Verify Collections](List)

## Python Regular Expressions
- [Python Regular Expressions](Python-Regular-Expressions)
